Package wx :: Class Toolbook

[frames | no frames]

## Type Toolbook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                                Toolbook

Proxy of C++ Toolbook class

Method Summary
Toolbook | `__init__(self, parent, id, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
ToolBarBase | `GetToolBar(self)`
| `Realize(self)`

Property Summary
| `thisown`: The membership flag
| `ToolBar`: See `GetToolBar`

Instance Method Details

### Create(self, parent, id, pos=DefaultPosition, size=DefaultSize, style=0, name=wxEmptyString)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### thisown

The membership flag

### ToolBar

See `GetToolBar`

  Get Method:
    `GetToolBar`(self)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:46 2007 | http://epydoc.sf.net